<?xml version="1.0" encoding="utf-8"?>
<feed xmlns="http://www.w3.org/2005/Atom">
  <link rel="self" type="application/atom+xml" href="<%= allfeed_atom_url %>" />

  <id><%= url_for('') %>:all</id>
  <title type="text"><%= ENV['META_TITLE_SUFFIX'] %> All</title>
  <subtitle type="text"><%= ENV['META_DESCRIPTION'] %></subtitle>
  <updated><%= @last_updated.iso8601 %></updated>
  <generator uri="https://repo.or.cz/oni_sorceress.git" version="1.0">oni sorceress</generator>
  <rights>See respective licenses in the content</rights>

  <% @articles.each do |article| %>
    <entry>
      <link rel="alternate" type="text/html" href="<%= article_url(id: article.pretty_id) %>" />
      <id><%= article.id %></id>
      <title><%= article.title %></title>
      <updated><%= article.last_updated_at.iso8601 %></updated>
      <published><%= article.posted_at.iso8601 %></published>
      <author>
        <name><%= article.author.name %></name>
      </author>

      <content type="text/html">
        <![CDATA[
          <html>
            <body>
              <h1><%= article.title %></h1>
              <div>
                Author: <%= article.author.name %><br>
                Posted or last updated: <%= article.updated_at.strftime("%d. %b '%y") %><br>
                <%= link_to 'See full article', article_url(id: article.pretty_id) %>
              </div>
              <!-- TODO: this is not shown at all -->
              <div><%= raw render_article(article) %></div>
            </body>
          </html>
        ]]>
      </content>

    </entry>
  <% end %>
</feed>
